echo off
if not Exist %2 goto finish
cd %1
set arch=unpack\7z.exe
echo *******************************************************
echo Восстановление дополнения UpdateManager из архива
echo %2
echo *******************************************************
echo Извлечение файлов в папку %1 ...
ping -n 7 127.0.0.1 >nul

%arch% x %2 -o%1 -r -y

:finish
echo Запуск SimpleTV...
ping -n 10 127.0.0.1 >nul
start tv.exe
exit